RolesResourceApi (cloudera-manager-api-swagger 7.8.1 API)
Date: 2022-11-17

com.cloudera.api.swagger

## Class RolesResourceApi

- java.lang.Object
- - com.cloudera.api.swagger.RolesResourceApi

-     public class RolesResourceApi
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RolesResourceApi()`
    `RolesResourceApi(ApiClient apiClient)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<ApiEntityTag>` | `addTags(String clusterName, String roleName, String serviceName, List<ApiEntityTag> body)` Attach tags to the role.
    `com.squareup.okhttp.Call` | `addTagsAsync(String clusterName, String roleName, String serviceName, List<ApiEntityTag> body, ApiCallback<List<ApiEntityTag>> callback)` Attach tags to the role.
    `com.squareup.okhttp.Call` | `addTagsCall(String clusterName, String roleName, String serviceName, List<ApiEntityTag> body, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for addTags
    `ApiResponse<List<ApiEntityTag>>` | `addTagsWithHttpInfo(String clusterName, String roleName, String serviceName, List<ApiEntityTag> body)` Attach tags to the role.
    `ApiRoleList` | `bulkDeleteRoles(String clusterName, String serviceName, ApiRoleNameList body)` Bulk delete roles in a particular service by name.
    `com.squareup.okhttp.Call` | `bulkDeleteRolesAsync(String clusterName, String serviceName, ApiRoleNameList body, ApiCallback<ApiRoleList> callback)` Bulk delete roles in a particular service by name.
    `com.squareup.okhttp.Call` | `bulkDeleteRolesCall(String clusterName, String serviceName, ApiRoleNameList body, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for bulkDeleteRoles
    `ApiResponse<ApiRoleList>` | `bulkDeleteRolesWithHttpInfo(String clusterName, String serviceName, ApiRoleNameList body)` Bulk delete roles in a particular service by name.
    `ApiRoleList` | `createRoles(String clusterName, String serviceName, ApiRoleList body)` Create new roles in a given service.
    `com.squareup.okhttp.Call` | `createRolesAsync(String clusterName, String serviceName, ApiRoleList body, ApiCallback<ApiRoleList> callback)` Create new roles in a given service.
    `com.squareup.okhttp.Call` | `createRolesCall(String clusterName, String serviceName, ApiRoleList body, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for createRoles
    `ApiResponse<ApiRoleList>` | `createRolesWithHttpInfo(String clusterName, String serviceName, ApiRoleList body)` Create new roles in a given service.
    `ApiRole` | `deleteRole(String clusterName, String roleName, String serviceName)` Deletes a role from a given service.
    `com.squareup.okhttp.Call` | `deleteRoleAsync(String clusterName, String roleName, String serviceName, ApiCallback<ApiRole> callback)` Deletes a role from a given service.
    `com.squareup.okhttp.Call` | `deleteRoleCall(String clusterName, String roleName, String serviceName, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for deleteRole
    `ApiResponse<ApiRole>` | `deleteRoleWithHttpInfo(String clusterName, String roleName, String serviceName)` Deletes a role from a given service.
    `List<ApiEntityTag>` | `deleteTags(String clusterName, String roleName, String serviceName, List<ApiEntityTag> body)` Remove the tags associated with the role.
    `com.squareup.okhttp.Call` | `deleteTagsAsync(String clusterName, String roleName, String serviceName, List<ApiEntityTag> body, ApiCallback<List<ApiEntityTag>> callback)` Remove the tags associated with the role.
    `com.squareup.okhttp.Call` | `deleteTagsCall(String clusterName, String roleName, String serviceName, List<ApiEntityTag> body, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for deleteTags
    `ApiResponse<List<ApiEntityTag>>` | `deleteTagsWithHttpInfo(String clusterName, String roleName, String serviceName, List<ApiEntityTag> body)` Remove the tags associated with the role.
    `ApiCommand` | `enterMaintenanceMode(String clusterName, String roleName, String serviceName)` Put the role into maintenance mode.
    `com.squareup.okhttp.Call` | `enterMaintenanceModeAsync(String clusterName, String roleName, String serviceName, ApiCallback<ApiCommand> callback)` Put the role into maintenance mode.
    `com.squareup.okhttp.Call` | `enterMaintenanceModeCall(String clusterName, String roleName, String serviceName, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for enterMaintenanceMode
    `ApiResponse<ApiCommand>` | `enterMaintenanceModeWithHttpInfo(String clusterName, String roleName, String serviceName)` Put the role into maintenance mode.
    `ApiCommand` | `exitMaintenanceMode(String clusterName, String roleName, String serviceName)` Take the role out of maintenance mode.
    `com.squareup.okhttp.Call` | `exitMaintenanceModeAsync(String clusterName, String roleName, String serviceName, ApiCallback<ApiCommand> callback)` Take the role out of maintenance mode.
    `com.squareup.okhttp.Call` | `exitMaintenanceModeCall(String clusterName, String roleName, String serviceName, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for exitMaintenanceMode
    `ApiResponse<ApiCommand>` | `exitMaintenanceModeWithHttpInfo(String clusterName, String roleName, String serviceName)` Take the role out of maintenance mode.
    `ApiClient` | `getApiClient()`
    `String` | `getFullLog(String clusterName, String roleName, String serviceName)` Retrieves the log file for the role's main process.
    `com.squareup.okhttp.Call` | `getFullLogAsync(String clusterName, String roleName, String serviceName, ApiCallback<String> callback)` Retrieves the log file for the role's main process.
    `com.squareup.okhttp.Call` | `getFullLogCall(String clusterName, String roleName, String serviceName, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for getFullLog
    `ApiResponse<String>` | `getFullLogWithHttpInfo(String clusterName, String roleName, String serviceName)` Retrieves the log file for the role's main process.
    `ApiMetricList` | `getMetrics(String clusterName, String roleName, String serviceName, String from, List<String> metrics, String to, String view)` Fetch metric readings for a particular role.
    `com.squareup.okhttp.Call` | `getMetricsAsync(String clusterName, String roleName, String serviceName, String from, List<String> metrics, String to, String view, ApiCallback<ApiMetricList> callback)` Fetch metric readings for a particular role.
    `com.squareup.okhttp.Call` | `getMetricsCall(String clusterName, String roleName, String serviceName, String from, List<String> metrics, String to, String view, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for getMetrics
    `ApiResponse<ApiMetricList>` | `getMetricsWithHttpInfo(String clusterName, String roleName, String serviceName, String from, List<String> metrics, String to, String view)` Fetch metric readings for a particular role.
    `String` | `getStacksLog(String clusterName, String roleName, String serviceName)` Retrieves the stacks log file, if any, for the role's main process.
    `com.squareup.okhttp.Call` | `getStacksLogAsync(String clusterName, String roleName, String serviceName, ApiCallback<String> callback)` Retrieves the stacks log file, if any, for the role's main process.
    `com.squareup.okhttp.Call` | `getStacksLogCall(String clusterName, String roleName, String serviceName, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for getStacksLog
    `File` | `getStacksLogsBundle(String clusterName, String roleName, String serviceName)` Download a zip-compressed archive of role stacks logs.
    `com.squareup.okhttp.Call` | `getStacksLogsBundleAsync(String clusterName, String roleName, String serviceName, ApiCallback<File> callback)` Download a zip-compressed archive of role stacks logs.
    `com.squareup.okhttp.Call` | `getStacksLogsBundleCall(String clusterName, String roleName, String serviceName, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for getStacksLogsBundle
    `ApiResponse<File>` | `getStacksLogsBundleWithHttpInfo(String clusterName, String roleName, String serviceName)` Download a zip-compressed archive of role stacks logs.
    `ApiResponse<String>` | `getStacksLogWithHttpInfo(String clusterName, String roleName, String serviceName)` Retrieves the stacks log file, if any, for the role's main process.
    `String` | `getStandardError(String clusterName, String roleName, String serviceName)` Retrieves the role's standard error output.
    `com.squareup.okhttp.Call` | `getStandardErrorAsync(String clusterName, String roleName, String serviceName, ApiCallback<String> callback)` Retrieves the role's standard error output.
    `com.squareup.okhttp.Call` | `getStandardErrorCall(String clusterName, String roleName, String serviceName, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for getStandardError
    `ApiResponse<String>` | `getStandardErrorWithHttpInfo(String clusterName, String roleName, String serviceName)` Retrieves the role's standard error output.
    `String` | `getStandardOutput(String clusterName, String roleName, String serviceName)` Retrieves the role's standard output.
    `com.squareup.okhttp.Call` | `getStandardOutputAsync(String clusterName, String roleName, String serviceName, ApiCallback<String> callback)` Retrieves the role's standard output.
    `com.squareup.okhttp.Call` | `getStandardOutputCall(String clusterName, String roleName, String serviceName, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for getStandardOutput
    `ApiResponse<String>` | `getStandardOutputWithHttpInfo(String clusterName, String roleName, String serviceName)` Retrieves the role's standard output.
    `ApiCommand` | `impalaDiagnostics(String clusterName, String roleName, String serviceName, ApiImpalaRoleDiagnosticsArgs body)` Collects diagnostics data for an Impala role.
    `com.squareup.okhttp.Call` | `impalaDiagnosticsAsync(String clusterName, String roleName, String serviceName, ApiImpalaRoleDiagnosticsArgs body, ApiCallback<ApiCommand> callback)` Collects diagnostics data for an Impala role.
    `com.squareup.okhttp.Call` | `impalaDiagnosticsCall(String clusterName, String roleName, String serviceName, ApiImpalaRoleDiagnosticsArgs body, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for impalaDiagnostics
    `ApiResponse<ApiCommand>` | `impalaDiagnosticsWithHttpInfo(String clusterName, String roleName, String serviceName, ApiImpalaRoleDiagnosticsArgs body)` Collects diagnostics data for an Impala role.
    `ApiCommandList` | `listActiveCommands(String clusterName, String roleName, String serviceName, String view)` List active role commands.
    `com.squareup.okhttp.Call` | `listActiveCommandsAsync(String clusterName, String roleName, String serviceName, String view, ApiCallback<ApiCommandList> callback)` List active role commands.
    `com.squareup.okhttp.Call` | `listActiveCommandsCall(String clusterName, String roleName, String serviceName, String view, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for listActiveCommands
    `ApiResponse<ApiCommandList>` | `listActiveCommandsWithHttpInfo(String clusterName, String roleName, String serviceName, String view)` List active role commands.
    `ApiCommandMetadataList` | `listCommands(String clusterName, String roleName, String serviceName)` Lists all the commands that can be executed by name on the provided role.
    `com.squareup.okhttp.Call` | `listCommandsAsync(String clusterName, String roleName, String serviceName, ApiCallback<ApiCommandMetadataList> callback)` Lists all the commands that can be executed by name on the provided role.
    `com.squareup.okhttp.Call` | `listCommandsCall(String clusterName, String roleName, String serviceName, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for listCommands
    `ApiResponse<ApiCommandMetadataList>` | `listCommandsWithHttpInfo(String clusterName, String roleName, String serviceName)` Lists all the commands that can be executed by name on the provided role.
    `ApiRole` | `readRole(String clusterName, String roleName, String serviceName, String view)` Retrieves detailed information about a role.
    `com.squareup.okhttp.Call` | `readRoleAsync(String clusterName, String roleName, String serviceName, String view, ApiCallback<ApiRole> callback)` Retrieves detailed information about a role.
    `com.squareup.okhttp.Call` | `readRoleCall(String clusterName, String roleName, String serviceName, String view, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for readRole
    `ApiConfigList` | `readRoleConfig(String clusterName, String roleName, String serviceName, String view)` Retrieves the configuration of a specific role.
    `com.squareup.okhttp.Call` | `readRoleConfigAsync(String clusterName, String roleName, String serviceName, String view, ApiCallback<ApiConfigList> callback)` Retrieves the configuration of a specific role.
    `com.squareup.okhttp.Call` | `readRoleConfigCall(String clusterName, String roleName, String serviceName, String view, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for readRoleConfig
    `ApiResponse<ApiConfigList>` | `readRoleConfigWithHttpInfo(String clusterName, String roleName, String serviceName, String view)` Retrieves the configuration of a specific role.
    `ApiRoleList` | `readRoles(String clusterName, String serviceName, String filter, String view)` Lists all roles of a given service.
    `com.squareup.okhttp.Call` | `readRolesAsync(String clusterName, String serviceName, String filter, String view, ApiCallback<ApiRoleList> callback)` Lists all roles of a given service.
    `com.squareup.okhttp.Call` | `readRolesCall(String clusterName, String serviceName, String filter, String view, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for readRoles
    `ApiResponse<ApiRoleList>` | `readRolesWithHttpInfo(String clusterName, String serviceName, String filter, String view)` Lists all roles of a given service.
    `ApiResponse<ApiRole>` | `readRoleWithHttpInfo(String clusterName, String roleName, String serviceName, String view)` Retrieves detailed information about a role.
    `List<ApiEntityTag>` | `readTags(String clusterName, String roleName, String serviceName, BigDecimal limit, BigDecimal offset)` Returns the tags associated with this role.
    `com.squareup.okhttp.Call` | `readTagsAsync(String clusterName, String roleName, String serviceName, BigDecimal limit, BigDecimal offset, ApiCallback<List<ApiEntityTag>> callback)` Returns the tags associated with this role.
    `com.squareup.okhttp.Call` | `readTagsCall(String clusterName, String roleName, String serviceName, BigDecimal limit, BigDecimal offset, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for readTags
    `ApiResponse<List<ApiEntityTag>>` | `readTagsWithHttpInfo(String clusterName, String roleName, String serviceName, BigDecimal limit, BigDecimal offset)` Returns the tags associated with this role.
    `void` | `setApiClient(ApiClient apiClient)`
    `ApiConfigList` | `updateRoleConfig(String clusterName, String roleName, String serviceName, String message, ApiConfigList body)` Updates the role configuration with the given values.
    `com.squareup.okhttp.Call` | `updateRoleConfigAsync(String clusterName, String roleName, String serviceName, String message, ApiConfigList body, ApiCallback<ApiConfigList> callback)` Updates the role configuration with the given values.
    `com.squareup.okhttp.Call` | `updateRoleConfigCall(String clusterName, String roleName, String serviceName, String message, ApiConfigList body, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for updateRoleConfig
    `ApiResponse<ApiConfigList>` | `updateRoleConfigWithHttpInfo(String clusterName, String roleName, String serviceName, String message, ApiConfigList body)` Updates the role configuration with the given values.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RolesResourceApi

          public RolesResourceApi()

    - #### RolesResourceApi

          public RolesResourceApi(ApiClient apiClient)

  - ### Method Detail

    - #### getApiClient

          public ApiClient getApiClient()

    - #### setApiClient

          public void setApiClient(ApiClient apiClient)

    - #### addTagsCall

          public com.squareup.okhttp.Call addTagsCall(String clusterName,
                                                      String roleName,
                                                      String serviceName,
                                                      List<ApiEntityTag> body,
                                                      ProgressResponseBody.ProgressListener progressListener,
                                                      ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                               throws ApiException

      Build call for addTags
      Parameters:
        `clusterName` - (required)
        `roleName` - Name of the role (required)
        `serviceName` - (required)
        `body` - List of tags to add to the role (optional)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### addTags

          public List<ApiEntityTag> addTags(String clusterName,
                                            String roleName,
                                            String serviceName,
                                            List<ApiEntityTag> body)
                                     throws ApiException

      Attach tags to the role. Attach tags to the role. Tag names beginning with the prefix _cldr_ (case insensitive) are reserved for internal use by Cloudera.
      Parameters:
        `clusterName` - (required)
        `roleName` - Name of the role (required)
        `serviceName` - (required)
        `body` - List of tags to add to the role (optional)
      Returns:
        List<ApiEntityTag>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### addTagsWithHttpInfo

          public ApiResponse<List<ApiEntityTag>> addTagsWithHttpInfo(String clusterName,
                                                                     String roleName,
                                                                     String serviceName,
                                                                     List<ApiEntityTag> body)
                                                              throws ApiException

      Attach tags to the role. Attach tags to the role. Tag names beginning with the prefix _cldr_ (case insensitive) are reserved for internal use by Cloudera.
      Parameters:
        `clusterName` - (required)
        `roleName` - Name of the role (required)
        `serviceName` - (required)
        `body` - List of tags to add to the role (optional)
      Returns:
        ApiResponse<List<ApiEntityTag>>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### addTagsAsync

          public com.squareup.okhttp.Call addTagsAsync(String clusterName,
                                                       String roleName,
                                                       String serviceName,
                                                       List<ApiEntityTag> body,
                                                       ApiCallback<List<ApiEntityTag>> callback)
                                                throws ApiException

      Attach tags to the role. (asynchronously) Attach tags to the role. Tag names beginning with the prefix _cldr_ (case insensitive) are reserved for internal use by Cloudera.
      Parameters:
        `clusterName` - (required)
        `roleName` - Name of the role (required)
        `serviceName` - (required)
        `body` - List of tags to add to the role (optional)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### bulkDeleteRolesCall

          public com.squareup.okhttp.Call bulkDeleteRolesCall(String clusterName,
                                                              String serviceName,
                                                              ApiRoleNameList body,
                                                              ProgressResponseBody.ProgressListener progressListener,
                                                              ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                                       throws ApiException

      Build call for bulkDeleteRoles
      Parameters:
        `clusterName` - (required)
        `serviceName` - (required)
        `body` - list of role names to be deleted (optional)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### bulkDeleteRoles

          public ApiRoleList bulkDeleteRoles(String clusterName,
                                             String serviceName,
                                             ApiRoleNameList body)
                                      throws ApiException

      Bulk delete roles in a particular service by name. Bulk delete roles in a particular service by name. Fails if any role cannot be found.
      Parameters:
        `clusterName` - (required)
        `serviceName` - (required)
        `body` - list of role names to be deleted (optional)
      Returns:
        ApiRoleList
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### bulkDeleteRolesWithHttpInfo

          public ApiResponse<ApiRoleList> bulkDeleteRolesWithHttpInfo(String clusterName,
                                                                      String serviceName,
                                                                      ApiRoleNameList body)
                                                               throws ApiException

      Bulk delete roles in a particular service by name. Bulk delete roles in a particular service by name. Fails if any role cannot be found.
      Parameters:
        `clusterName` - (required)
        `serviceName` - (required)
        `body` - list of role names to be deleted (optional)
      Returns:
        ApiResponse<ApiRoleList>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### bulkDeleteRolesAsync

          public com.squareup.okhttp.Call bulkDeleteRolesAsync(String clusterName,
                                                               String serviceName,
                                                               ApiRoleNameList body,
                                                               ApiCallback<ApiRoleList> callback)
                                                        throws ApiException

      Bulk delete roles in a particular service by name. (asynchronously) Bulk delete roles in a particular service by name. Fails if any role cannot be found.
      Parameters:
        `clusterName` - (required)
        `serviceName` - (required)
        `body` - list of role names to be deleted (optional)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### createRolesCall

          public com.squareup.okhttp.Call createRolesCall(String clusterName,
                                                          String serviceName,
                                                          ApiRoleList body,
                                                          ProgressResponseBody.ProgressListener progressListener,
                                                          ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                                   throws ApiException

      Build call for createRoles
      Parameters:
        `clusterName` - (required)
        `serviceName` - (required)
        `body` - Roles to create. (optional)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### createRoles

          public ApiRoleList createRoles(String clusterName,
                                         String serviceName,
                                         ApiRoleList body)
                                  throws ApiException

      Create new roles in a given service. Create new roles in a given service. <table> <thead> <tr> <th>Service Type</th> <th>Available Role Types</th> </tr> </thead> <tbody> <tr> <td>HDFS (CDH3)</td> <td>NAMENODE, DATANODE, SECONDARYNAMENODE, BALANCER, GATEWAY</td> </tr> <tr> <td>HDFS (CDH4)</td> <td>NAMENODE, DATANODE, SECONDARYNAMENODE, BALANCER, HTTPFS, FAILOVERCONTROLLER, GATEWAY, JOURNALNODE</td> </tr> <tr> <td>HDFS (CDH5)</td> <td>NAMENODE, DATANODE, SECONDARYNAMENODE, BALANCER, HTTPFS, FAILOVERCONTROLLER, GATEWAY, JOURNALNODE, NFSGATEWAY</td> </tr> <td>MAPREDUCE</td> <td>JOBTRACKER, TASKTRACKER, GATEWAY, FAILOVERCONTROLLER,</td> </tr> <td>HBASE</td> <td>MASTER, REGIONSERVER, GATEWAY, HBASETHRIFTSERVER, HBASERESTSERVER</td> </tr> <tr> <td>YARN</td> <td>RESOURCEMANAGER, NODEMANAGER, JOBHISTORY, GATEWAY</td> </tr> <tr> <td>OOZIE</td> <td>OOZIE_SERVER</td> </tr> <tr> <td>ZOOKEEPER</td> <td>SERVER</td> </tr> <tr> <td>HUE (CDH3)</td> <td>HUE_SERVER, BEESWAX_SERVER, KT_RENEWER, JOBSUBD</td> </tr> <tr> <td>HUE (CDH4)</td> <td>HUE_SERVER, BEESWAX_SERVER, KT_RENEWER</td> </tr> <tr> <td>HUE (CDH5)</td> <td>HUE_SERVER, KT_RENEWER</td> </tr> <tr> <td>HUE (CDH5 5.5+)</td> <td>HUE_SERVER, KT_RENEWER, HUE_LOAD_BALANCER</td> </tr> <tr> <td>FLUME</td> <td>AGENT</td> </tr> <tr> <td>IMPALA (CDH4)</td> <td>IMPALAD, STATESTORE, CATALOGSERVER</td> </tr> <tr> <td>IMPALA (CDH5)</td> <td>IMPALAD, STATESTORE, CATALOGSERVER</td> </tr> <tr> <td>HIVE</td> <td>HIVESERVER2, HIVEMETASTORE, WEBHCAT, GATEWAY</td> </tr> <tr> <td>SOLR</td> <td>SOLR_SERVER, GATEWAY</td> </tr> <tr> <td>SQOOP</td> <td>SQOOP_SERVER</td> </tr> <tr> <td>SQOOP_CLIENT</td> <td>GATEWAY</td> </tr> <tr> <td>SENTRY</td> <td>SENTRY_SERVER</td> </tr> <tr> <td>ACCUMULO16</td> <td>GARBAGE_COLLECTOR, GATEWAY, ACCUMULO16_MASTER, MONITOR, ACCUMULO16_TSERVER, TRACER</td> </tr> <tr> <td>KMS</td> <td>KMS</td> </tr> <tr> <td>KS_INDEXER</td> <td>HBASE_INDEXER</td> </tr> <tr> <td>SPARK_ON_YARN</td> <td>GATEWAY, SPARK_YARN_HISTORY_SERVER</td> </tr> </tbody> </table> When specifying roles to be created, the names provided for each role must not conflict with the names that CM auto-generates for roles. Specifically, names of the form \"<service name>-<role type>-<arbitrary value>\" cannot be used unless the <arbitrary value> is the same one CM would use. If CM detects such a conflict, the error message will indicate what <arbitrary value> is safe to use. Alternately, a differently formatted name should be used. Since API v6: The role name can be left blank to allow CM to generate the name.
      Parameters:
        `clusterName` - (required)
        `serviceName` - (required)
        `body` - Roles to create. (optional)
      Returns:
        ApiRoleList
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### createRolesWithHttpInfo

          public ApiResponse<ApiRoleList> createRolesWithHttpInfo(String clusterName,
                                                                  String serviceName,
                                                                  ApiRoleList body)
                                                           throws ApiException

      Create new roles in a given service. Create new roles in a given service. <table> <thead> <tr> <th>Service Type</th> <th>Available Role Types</th> </tr> </thead> <tbody> <tr> <td>HDFS (CDH3)</td> <td>NAMENODE, DATANODE, SECONDARYNAMENODE, BALANCER, GATEWAY</td> </tr> <tr> <td>HDFS (CDH4)</td> <td>NAMENODE, DATANODE, SECONDARYNAMENODE, BALANCER, HTTPFS, FAILOVERCONTROLLER, GATEWAY, JOURNALNODE</td> </tr> <tr> <td>HDFS (CDH5)</td> <td>NAMENODE, DATANODE, SECONDARYNAMENODE, BALANCER, HTTPFS, FAILOVERCONTROLLER, GATEWAY, JOURNALNODE, NFSGATEWAY</td> </tr> <td>MAPREDUCE</td> <td>JOBTRACKER, TASKTRACKER, GATEWAY, FAILOVERCONTROLLER,</td> </tr> <td>HBASE</td> <td>MASTER, REGIONSERVER, GATEWAY, HBASETHRIFTSERVER, HBASERESTSERVER</td> </tr> <tr> <td>YARN</td> <td>RESOURCEMANAGER, NODEMANAGER, JOBHISTORY, GATEWAY</td> </tr> <tr> <td>OOZIE</td> <td>OOZIE_SERVER</td> </tr> <tr> <td>ZOOKEEPER</td> <td>SERVER</td> </tr> <tr> <td>HUE (CDH3)</td> <td>HUE_SERVER, BEESWAX_SERVER, KT_RENEWER, JOBSUBD</td> </tr> <tr> <td>HUE (CDH4)</td> <td>HUE_SERVER, BEESWAX_SERVER, KT_RENEWER</td> </tr> <tr> <td>HUE (CDH5)</td> <td>HUE_SERVER, KT_RENEWER</td> </tr> <tr> <td>HUE (CDH5 5.5+)</td> <td>HUE_SERVER, KT_RENEWER, HUE_LOAD_BALANCER</td> </tr> <tr> <td>FLUME</td> <td>AGENT</td> </tr> <tr> <td>IMPALA (CDH4)</td> <td>IMPALAD, STATESTORE, CATALOGSERVER</td> </tr> <tr> <td>IMPALA (CDH5)</td> <td>IMPALAD, STATESTORE, CATALOGSERVER</td> </tr> <tr> <td>HIVE</td> <td>HIVESERVER2, HIVEMETASTORE, WEBHCAT, GATEWAY</td> </tr> <tr> <td>SOLR</td> <td>SOLR_SERVER, GATEWAY</td> </tr> <tr> <td>SQOOP</td> <td>SQOOP_SERVER</td> </tr> <tr> <td>SQOOP_CLIENT</td> <td>GATEWAY</td> </tr> <tr> <td>SENTRY</td> <td>SENTRY_SERVER</td> </tr> <tr> <td>ACCUMULO16</td> <td>GARBAGE_COLLECTOR, GATEWAY, ACCUMULO16_MASTER, MONITOR, ACCUMULO16_TSERVER, TRACER</td> </tr> <tr> <td>KMS</td> <td>KMS</td> </tr> <tr> <td>KS_INDEXER</td> <td>HBASE_INDEXER</td> </tr> <tr> <td>SPARK_ON_YARN</td> <td>GATEWAY, SPARK_YARN_HISTORY_SERVER</td> </tr> </tbody> </table> When specifying roles to be created, the names provided for each role must not conflict with the names that CM auto-generates for roles. Specifically, names of the form \"<service name>-<role type>-<arbitrary value>\" cannot be used unless the <arbitrary value> is the same one CM would use. If CM detects such a conflict, the error message will indicate what <arbitrary value> is safe to use. Alternately, a differently formatted name should be used. Since API v6: The role name can be left blank to allow CM to generate the name.
      Parameters:
        `clusterName` - (required)
        `serviceName` - (required)
        `body` - Roles to create. (optional)
      Returns:
        ApiResponse<ApiRoleList>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### createRolesAsync

          public com.squareup.okhttp.Call createRolesAsync(String clusterName,
                                                           String serviceName,
                                                           ApiRoleList body,
                                                           ApiCallback<ApiRoleList> callback)
                                                    throws ApiException

      Create new roles in a given service. (asynchronously) Create new roles in a given service. <table> <thead> <tr> <th>Service Type</th> <th>Available Role Types</th> </tr> </thead> <tbody> <tr> <td>HDFS (CDH3)</td> <td>NAMENODE, DATANODE, SECONDARYNAMENODE, BALANCER, GATEWAY</td> </tr> <tr> <td>HDFS (CDH4)</td> <td>NAMENODE, DATANODE, SECONDARYNAMENODE, BALANCER, HTTPFS, FAILOVERCONTROLLER, GATEWAY, JOURNALNODE</td> </tr> <tr> <td>HDFS (CDH5)</td> <td>NAMENODE, DATANODE, SECONDARYNAMENODE, BALANCER, HTTPFS, FAILOVERCONTROLLER, GATEWAY, JOURNALNODE, NFSGATEWAY</td> </tr> <td>MAPREDUCE</td> <td>JOBTRACKER, TASKTRACKER, GATEWAY, FAILOVERCONTROLLER,</td> </tr> <td>HBASE</td> <td>MASTER, REGIONSERVER, GATEWAY, HBASETHRIFTSERVER, HBASERESTSERVER</td> </tr> <tr> <td>YARN</td> <td>RESOURCEMANAGER, NODEMANAGER, JOBHISTORY, GATEWAY</td> </tr> <tr> <td>OOZIE</td> <td>OOZIE_SERVER</td> </tr> <tr> <td>ZOOKEEPER</td> <td>SERVER</td> </tr> <tr> <td>HUE (CDH3)</td> <td>HUE_SERVER, BEESWAX_SERVER, KT_RENEWER, JOBSUBD</td> </tr> <tr> <td>HUE (CDH4)</td> <td>HUE_SERVER, BEESWAX_SERVER, KT_RENEWER</td> </tr> <tr> <td>HUE (CDH5)</td> <td>HUE_SERVER, KT_RENEWER</td> </tr> <tr> <td>HUE (CDH5 5.5+)</td> <td>HUE_SERVER, KT_RENEWER, HUE_LOAD_BALANCER</td> </tr> <tr> <td>FLUME</td> <td>AGENT</td> </tr> <tr> <td>IMPALA (CDH4)</td> <td>IMPALAD, STATESTORE, CATALOGSERVER</td> </tr> <tr> <td>IMPALA (CDH5)</td> <td>IMPALAD, STATESTORE, CATALOGSERVER</td> </tr> <tr> <td>HIVE</td> <td>HIVESERVER2, HIVEMETASTORE, WEBHCAT, GATEWAY</td> </tr> <tr> <td>SOLR</td> <td>SOLR_SERVER, GATEWAY</td> </tr> <tr> <td>SQOOP</td> <td>SQOOP_SERVER</td> </tr> <tr> <td>SQOOP_CLIENT</td> <td>GATEWAY</td> </tr> <tr> <td>SENTRY</td> <td>SENTRY_SERVER</td> </tr> <tr> <td>ACCUMULO16</td> <td>GARBAGE_COLLECTOR, GATEWAY, ACCUMULO16_MASTER, MONITOR, ACCUMULO16_TSERVER, TRACER</td> </tr> <tr> <td>KMS</td> <td>KMS</td> </tr> <tr> <td>KS_INDEXER</td> <td>HBASE_INDEXER</td> </tr> <tr> <td>SPARK_ON_YARN</td> <td>GATEWAY, SPARK_YARN_HISTORY_SERVER</td> </tr> </tbody> </table> When specifying roles to be created, the names provided for each role must not conflict with the names that CM auto-generates for roles. Specifically, names of the form \"<service name>-<role type>-<arbitrary value>\" cannot be used unless the <arbitrary value> is the same one CM would use. If CM detects such a conflict, the error message will indicate what <arbitrary value> is safe to use. Alternately, a differently formatted name should be used. Since API v6: The role name can be left blank to allow CM to generate the name.
      Parameters:
        `clusterName` - (required)
        `serviceName` - (required)
        `body` - Roles to create. (optional)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### deleteRoleCall

          public com.squareup.okhttp.Call deleteRoleCall(String clusterName,
                                                         String roleName,
                                                         String serviceName,
                                                         ProgressResponseBody.ProgressListener progressListener,
                                                         ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                                  throws ApiException

      Build call for deleteRole
      Parameters:
        `clusterName` - (required)
        `roleName` - The role name. (required)
        `serviceName` - (required)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### deleteRole

          public ApiRole deleteRole(String clusterName,
                                    String roleName,
                                    String serviceName)
                             throws ApiException

      Deletes a role from a given service. Deletes a role from a given service.
      Parameters:
        `clusterName` - (required)
        `roleName` - The role name. (required)
        `serviceName` - (required)
      Returns:
        ApiRole
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### deleteRoleWithHttpInfo

          public ApiResponse<ApiRole> deleteRoleWithHttpInfo(String clusterName,
                                                             String roleName,
                                                             String serviceName)
                                                      throws ApiException

      Deletes a role from a given service. Deletes a role from a given service.
      Parameters:
        `clusterName` - (required)
        `roleName` - The role name. (required)
        `serviceName` - (required)
      Returns:
        ApiResponse<ApiRole>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### deleteRoleAsync

          public com.squareup.okhttp.Call deleteRoleAsync(String clusterName,
                                                          String roleName,
                                                          String serviceName,
                                                          ApiCallback<ApiRole> callback)
                                                   throws ApiException

      Deletes a role from a given service. (asynchronously) Deletes a role from a given service.
      Parameters:
        `clusterName` - (required)
        `roleName` - The role name. (required)
        `serviceName` - (required)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### deleteTagsCall

          public com.squareup.okhttp.Call deleteTagsCall(String clusterName,
                                                         String roleName,
                                                         String serviceName,
                                                         List<ApiEntityTag> body,
                                                         ProgressResponseBody.ProgressListener progressListener,
                                                         ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                                  throws ApiException

      Build call for deleteTags
      Parameters:
        `clusterName` - (required)
        `roleName` - Name of the role to remove tags from (required)
        `serviceName` - (required)
        `body` - A list of tags to remove from the role (optional)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### deleteTags

          public List<ApiEntityTag> deleteTags(String clusterName,
                                               String roleName,
                                               String serviceName,
                                               List<ApiEntityTag> body)
                                        throws ApiException

      Remove the tags associated with the role. Remove the tags associated with the role. Tag names beginning with the prefix _cldr_ (case insensitive) are reserved for internal use by Cloudera.
      Parameters:
        `clusterName` - (required)
        `roleName` - Name of the role to remove tags from (required)
        `serviceName` - (required)
        `body` - A list of tags to remove from the role (optional)
      Returns:
        List<ApiEntityTag>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### deleteTagsWithHttpInfo

          public ApiResponse<List<ApiEntityTag>> deleteTagsWithHttpInfo(String clusterName,
                                                                        String roleName,
                                                                        String serviceName,
                                                                        List<ApiEntityTag> body)
                                                                 throws ApiException

      Remove the tags associated with the role. Remove the tags associated with the role. Tag names beginning with the prefix _cldr_ (case insensitive) are reserved for internal use by Cloudera.
      Parameters:
        `clusterName` - (required)
        `roleName` - Name of the role to remove tags from (required)
        `serviceName` - (required)
        `body` - A list of tags to remove from the role (optional)
      Returns:
        ApiResponse<List<ApiEntityTag>>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### deleteTagsAsync

          public com.squareup.okhttp.Call deleteTagsAsync(String clusterName,
                                                          String roleName,
                                                          String serviceName,
                                                          List<ApiEntityTag> body,
                                                          ApiCallback<List<ApiEntityTag>> callback)
                                                   throws ApiException

      Remove the tags associated with the role. (asynchronously) Remove the tags associated with the role. Tag names beginning with the prefix _cldr_ (case insensitive) are reserved for internal use by Cloudera.
      Parameters:
        `clusterName` - (required)
        `roleName` - Name of the role to remove tags from (required)
        `serviceName` - (required)
        `body` - A list of tags to remove from the role (optional)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### enterMaintenanceModeCall

          public com.squareup.okhttp.Call enterMaintenanceModeCall(String clusterName,
                                                                   String roleName,
                                                                   String serviceName,
                                                                   ProgressResponseBody.ProgressListener progressListener,
                                                                   ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                                            throws ApiException

      Build call for enterMaintenanceMode
      Parameters:
        `clusterName` - (required)
        `roleName` - The role name. (required)
        `serviceName` - (required)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### enterMaintenanceMode

          public ApiCommand enterMaintenanceMode(String clusterName,
                                                 String roleName,
                                                 String serviceName)
                                          throws ApiException

      Put the role into maintenance mode. Put the role into maintenance mode. This is a synchronous command. The result is known immediately upon return. <p> Available since API v2. </p>
      Parameters:
        `clusterName` - (required)
        `roleName` - The role name. (required)
        `serviceName` - (required)
      Returns:
        ApiCommand
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### enterMaintenanceModeWithHttpInfo

          public ApiResponse<ApiCommand> enterMaintenanceModeWithHttpInfo(String clusterName,
                                                                          String roleName,
                                                                          String serviceName)
                                                                   throws ApiException

      Put the role into maintenance mode. Put the role into maintenance mode. This is a synchronous command. The result is known immediately upon return. <p> Available since API v2. </p>
      Parameters:
        `clusterName` - (required)
        `roleName` - The role name. (required)
        `serviceName` - (required)
      Returns:
        ApiResponse<ApiCommand>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### enterMaintenanceModeAsync

          public com.squareup.okhttp.Call enterMaintenanceModeAsync(String clusterName,
                                                                    String roleName,
                                                                    String serviceName,
                                                                    ApiCallback<ApiCommand> callback)
                                                             throws ApiException

      Put the role into maintenance mode. (asynchronously) Put the role into maintenance mode. This is a synchronous command. The result is known immediately upon return. <p> Available since API v2. </p>
      Parameters:
        `clusterName` - (required)
        `roleName` - The role name. (required)
        `serviceName` - (required)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### exitMaintenanceModeCall

          public com.squareup.okhttp.Call exitMaintenanceModeCall(String clusterName,
                                                                  String roleName,
                                                                  String serviceName,
                                                                  ProgressResponseBody.ProgressListener progressListener,
                                                                  ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                                           throws ApiException

      Build call for exitMaintenanceMode
      Parameters:
        `clusterName` - (required)
        `roleName` - The role name. (required)
        `serviceName` - (required)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### exitMaintenanceMode

          public ApiCommand exitMaintenanceMode(String clusterName,
                                                String roleName,
                                                String serviceName)
                                         throws ApiException

      Take the role out of maintenance mode. Take the role out of maintenance mode. This is a synchronous command. The result is known immediately upon return. <p> Available since API v2. </p>
      Parameters:
        `clusterName` - (required)
        `roleName` - The role name. (required)
        `serviceName` - (required)
      Returns:
        ApiCommand
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### exitMaintenanceModeWithHttpInfo

          public ApiResponse<ApiCommand> exitMaintenanceModeWithHttpInfo(String clusterName,
                                                                         String roleName,
                                                                         String serviceName)
                                                                  throws ApiException

      Take the role out of maintenance mode. Take the role out of maintenance mode. This is a synchronous command. The result is known immediately upon return. <p> Available since API v2. </p>
      Parameters:
        `clusterName` - (required)
        `roleName` - The role name. (required)
        `serviceName` - (required)
      Returns:
        ApiResponse<ApiCommand>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### exitMaintenanceModeAsync

          public com.squareup.okhttp.Call exitMaintenanceModeAsync(String clusterName,
                                                                   String roleName,
                                                                   String serviceName,
                                                                   ApiCallback<ApiCommand> callback)
                                                            throws ApiException

      Take the role out of maintenance mode. (asynchronously) Take the role out of maintenance mode. This is a synchronous command. The result is known immediately upon return. <p> Available since API v2. </p>
      Parameters:
        `clusterName` - (required)
        `roleName` - The role name. (required)
        `serviceName` - (required)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### getFullLogCall

          public com.squareup.okhttp.Call getFullLogCall(String clusterName,
                                                         String roleName,
                                                         String serviceName,
                                                         ProgressResponseBody.ProgressListener progressListener,
                                                         ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                                  throws ApiException

      Build call for getFullLog
      Parameters:
        `clusterName` - (required)
        `roleName` - The role to fetch logs from. (required)
        `serviceName` - (required)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### getFullLog

          public String getFullLog(String clusterName,
                                   String roleName,
                                   String serviceName)
                            throws ApiException

      Retrieves the log file for the role's main process. Retrieves the log file for the role's main process. <p> If the role is not started, this will be the log file associated with the last time the role was run. <p> Log files are returned as plain text (type \"text/plain\").
      Parameters:
        `clusterName` - (required)
        `roleName` - The role to fetch logs from. (required)
        `serviceName` - (required)
      Returns:
        String
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### getFullLogWithHttpInfo

          public ApiResponse<String> getFullLogWithHttpInfo(String clusterName,
                                                            String roleName,
                                                            String serviceName)
                                                     throws ApiException

      Retrieves the log file for the role's main process. Retrieves the log file for the role's main process. <p> If the role is not started, this will be the log file associated with the last time the role was run. <p> Log files are returned as plain text (type \"text/plain\").
      Parameters:
        `clusterName` - (required)
        `roleName` - The role to fetch logs from. (required)
        `serviceName` - (required)
      Returns:
        ApiResponse<String>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### getFullLogAsync

          public com.squareup.okhttp.Call getFullLogAsync(String clusterName,
                                                          String roleName,
                                                          String serviceName,
                                                          ApiCallback<String> callback)
                                                   throws ApiException

      Retrieves the log file for the role's main process. (asynchronously) Retrieves the log file for the role's main process. <p> If the role is not started, this will be the log file associated with the last time the role was run. <p> Log files are returned as plain text (type \"text/plain\").
      Parameters:
        `clusterName` - (required)
        `roleName` - The role to fetch logs from. (required)
        `serviceName` - (required)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### getMetricsCall

          public com.squareup.okhttp.Call getMetricsCall(String clusterName,
                                                         String roleName,
                                                         String serviceName,
                                                         String from,
                                                         List<String> metrics,
                                                         String to,
                                                         String view,
                                                         ProgressResponseBody.ProgressListener progressListener,
                                                         ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                                  throws ApiException

      Build call for getMetrics
      Parameters:
        `clusterName` - (required)
        `roleName` - The name of the role. (required)
        `serviceName` - (required)
        `from` - Start of the period to query. (optional)
        `metrics` - Filter for which metrics to query. (optional)
        `to` - End of the period to query. (optional, default to now)
        `view` - The view of the data to materialize, either \"summary\" or \"full\". (optional, default to summary)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### getMetrics

          public ApiMetricList getMetrics(String clusterName,
                                          String roleName,
                                          String serviceName,
                                          String from,
                                          List<String> metrics,
                                          String to,
                                          String view)
                                   throws ApiException

      Fetch metric readings for a particular role. Fetch metric readings for a particular role. <p> By default, this call will look up all metrics available for the role. If only specific metrics are desired, use the <i>metrics</i> parameter. <p> By default, the returned results correspond to a 5 minute window based on the provided end time (which defaults to the current server time). The <i>from</i> and <i>to</i> parameters can be used to control the window being queried. A maximum window of 3 hours is enforced. <p> When requesting a \"full\" view, aside from the extended properties of the returned metric data, the collection will also contain information about all metrics available for the role, even if no readings are available in the requested window.
      Parameters:
        `clusterName` - (required)
        `roleName` - The name of the role. (required)
        `serviceName` - (required)
        `from` - Start of the period to query. (optional)
        `metrics` - Filter for which metrics to query. (optional)
        `to` - End of the period to query. (optional, default to now)
        `view` - The view of the data to materialize, either \"summary\" or \"full\". (optional, default to summary)
      Returns:
        ApiMetricList
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### getMetricsWithHttpInfo

          public ApiResponse<ApiMetricList> getMetricsWithHttpInfo(String clusterName,
                                                                   String roleName,
                                                                   String serviceName,
                                                                   String from,
                                                                   List<String> metrics,
                                                                   String to,
                                                                   String view)
                                                            throws ApiException

      Fetch metric readings for a particular role. Fetch metric readings for a particular role. <p> By default, this call will look up all metrics available for the role. If only specific metrics are desired, use the <i>metrics</i> parameter. <p> By default, the returned results correspond to a 5 minute window based on the provided end time (which defaults to the current server time). The <i>from</i> and <i>to</i> parameters can be used to control the window being queried. A maximum window of 3 hours is enforced. <p> When requesting a \"full\" view, aside from the extended properties of the returned metric data, the collection will also contain information about all metrics available for the role, even if no readings are available in the requested window.
      Parameters:
        `clusterName` - (required)
        `roleName` - The name of the role. (required)
        `serviceName` - (required)
        `from` - Start of the period to query. (optional)
        `metrics` - Filter for which metrics to query. (optional)
        `to` - End of the period to query. (optional, default to now)
        `view` - The view of the data to materialize, either \"summary\" or \"full\". (optional, default to summary)
      Returns:
        ApiResponse<ApiMetricList>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### getMetricsAsync

          public com.squareup.okhttp.Call getMetricsAsync(String clusterName,
                                                          String roleName,
                                                          String serviceName,
                                                          String from,
                                                          List<String> metrics,
                                                          String to,
                                                          String view,
                                                          ApiCallback<ApiMetricList> callback)
                                                   throws ApiException

      Fetch metric readings for a particular role. (asynchronously) Fetch metric readings for a particular role. <p> By default, this call will look up all metrics available for the role. If only specific metrics are desired, use the <i>metrics</i> parameter. <p> By default, the returned results correspond to a 5 minute window based on the provided end time (which defaults to the current server time). The <i>from</i> and <i>to</i> parameters can be used to control the window being queried. A maximum window of 3 hours is enforced. <p> When requesting a \"full\" view, aside from the extended properties of the returned metric data, the collection will also contain information about all metrics available for the role, even if no readings are available in the requested window.
      Parameters:
        `clusterName` - (required)
        `roleName` - The name of the role. (required)
        `serviceName` - (required)
        `from` - Start of the period to query. (optional)
        `metrics` - Filter for which metrics to query. (optional)
        `to` - End of the period to query. (optional, default to now)
        `view` - The view of the data to materialize, either \"summary\" or \"full\". (optional, default to summary)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### getStacksLogCall

          public com.squareup.okhttp.Call getStacksLogCall(String clusterName,
                                                           String roleName,
                                                           String serviceName,
                                                           ProgressResponseBody.ProgressListener progressListener,
                                                           ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                                    throws ApiException

      Build call for getStacksLog
      Parameters:
        `clusterName` - (required)
        `roleName` - The role to fetch stacks logs from. (required)
        `serviceName` - (required)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### getStacksLog

          public String getStacksLog(String clusterName,
                                     String roleName,
                                     String serviceName)
                              throws ApiException

      Retrieves the stacks log file, if any, for the role's main process. Retrieves the stacks log file, if any, for the role's main process. Note that not all roles support periodic stacks collection. The log files are returned as plain text (type \"text/plain\").
      Parameters:
        `clusterName` - (required)
        `roleName` - The role to fetch stacks logs from. (required)
        `serviceName` - (required)
      Returns:
        String
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### getStacksLogWithHttpInfo

          public ApiResponse<String> getStacksLogWithHttpInfo(String clusterName,
                                                              String roleName,
                                                              String serviceName)
                                                       throws ApiException

      Retrieves the stacks log file, if any, for the role's main process. Retrieves the stacks log file, if any, for the role's main process. Note that not all roles support periodic stacks collection. The log files are returned as plain text (type \"text/plain\").
      Parameters:
        `clusterName` - (required)
        `roleName` - The role to fetch stacks logs from. (required)
        `serviceName` - (required)
      Returns:
        ApiResponse<String>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### getStacksLogAsync

          public com.squareup.okhttp.Call getStacksLogAsync(String clusterName,
                                                            String roleName,
                                                            String serviceName,
                                                            ApiCallback<String> callback)
                                                     throws ApiException

      Retrieves the stacks log file, if any, for the role's main process. (asynchronously) Retrieves the stacks log file, if any, for the role's main process. Note that not all roles support periodic stacks collection. The log files are returned as plain text (type \"text/plain\").
      Parameters:
        `clusterName` - (required)
        `roleName` - The role to fetch stacks logs from. (required)
        `serviceName` - (required)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### getStacksLogsBundleCall

          public com.squareup.okhttp.Call getStacksLogsBundleCall(String clusterName,
                                                                  String roleName,
                                                                  String serviceName,
                                                                  ProgressResponseBody.ProgressListener progressListener,
                                                                  ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                                           throws ApiException

      Build call for getStacksLogsBundle
      Parameters:
        `clusterName` - (required)
        `roleName` - The role to fetch the stacks logs bundle from. (required)
        `serviceName` - (required)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### getStacksLogsBundle

          public File getStacksLogsBundle(String clusterName,
                                          String roleName,
                                          String serviceName)
                                   throws ApiException

      Download a zip-compressed archive of role stacks logs. Download a zip-compressed archive of role stacks logs. Note that not all roles support periodic stacks collection.
      Parameters:
        `clusterName` - (required)
        `roleName` - The role to fetch the stacks logs bundle from. (required)
        `serviceName` - (required)
      Returns:
        File
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### getStacksLogsBundleWithHttpInfo

          public ApiResponse<File> getStacksLogsBundleWithHttpInfo(String clusterName,
                                                                   String roleName,
                                                                   String serviceName)
                                                            throws ApiException

      Download a zip-compressed archive of role stacks logs. Download a zip-compressed archive of role stacks logs. Note that not all roles support periodic stacks collection.
      Parameters:
        `clusterName` - (required)
        `roleName` - The role to fetch the stacks logs bundle from. (required)
        `serviceName` - (required)
      Returns:
        ApiResponse<File>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### getStacksLogsBundleAsync

          public com.squareup.okhttp.Call getStacksLogsBundleAsync(String clusterName,
                                                                   String roleName,
                                                                   String serviceName,
                                                                   ApiCallback<File> callback)
                                                            throws ApiException

      Download a zip-compressed archive of role stacks logs. (asynchronously) Download a zip-compressed archive of role stacks logs. Note that not all roles support periodic stacks collection.
      Parameters:
        `clusterName` - (required)
        `roleName` - The role to fetch the stacks logs bundle from. (required)
        `serviceName` - (required)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### getStandardErrorCall

          public com.squareup.okhttp.Call getStandardErrorCall(String clusterName,
                                                               String roleName,
                                                               String serviceName,
                                                               ProgressResponseBody.ProgressListener progressListener,
                                                               ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                                        throws ApiException

      Build call for getStandardError
      Parameters:
        `clusterName` - (required)
        `roleName` - The role to fetch stderr from. (required)
        `serviceName` - (required)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### getStandardError

          public String getStandardError(String clusterName,
                                         String roleName,
                                         String serviceName)
                                  throws ApiException

      Retrieves the role's standard error output. Retrieves the role's standard error output. <p> If the role is not started, this will be the output associated with the last time the role was run. <p> Log files are returned as plain text (type \"text/plain\").
      Parameters:
        `clusterName` - (required)
        `roleName` - The role to fetch stderr from. (required)
        `serviceName` - (required)
      Returns:
        String
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### getStandardErrorWithHttpInfo

          public ApiResponse<String> getStandardErrorWithHttpInfo(String clusterName,
                                                                  String roleName,
                                                                  String serviceName)
                                                           throws ApiException

      Retrieves the role's standard error output. Retrieves the role's standard error output. <p> If the role is not started, this will be the output associated with the last time the role was run. <p> Log files are returned as plain text (type \"text/plain\").
      Parameters:
        `clusterName` - (required)
        `roleName` - The role to fetch stderr from. (required)
        `serviceName` - (required)
      Returns:
        ApiResponse<String>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### getStandardErrorAsync

          public com.squareup.okhttp.Call getStandardErrorAsync(String clusterName,
                                                                String roleName,
                                                                String serviceName,
                                                                ApiCallback<String> callback)
                                                         throws ApiException

      Retrieves the role's standard error output. (asynchronously) Retrieves the role's standard error output. <p> If the role is not started, this will be the output associated with the last time the role was run. <p> Log files are returned as plain text (type \"text/plain\").
      Parameters:
        `clusterName` - (required)
        `roleName` - The role to fetch stderr from. (required)
        `serviceName` - (required)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### getStandardOutputCall

          public com.squareup.okhttp.Call getStandardOutputCall(String clusterName,
                                                                String roleName,
                                                                String serviceName,
                                                                ProgressResponseBody.ProgressListener progressListener,
                                                                ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                                         throws ApiException

      Build call for getStandardOutput
      Parameters:
        `clusterName` - (required)
        `roleName` - The role to fetch stdout from. (required)
        `serviceName` - (required)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### getStandardOutput

          public String getStandardOutput(String clusterName,
                                          String roleName,
                                          String serviceName)
                                   throws ApiException

      Retrieves the role's standard output. Retrieves the role's standard output. <p> If the role is not started, this will be the output associated with the last time the role was run. <p> Log files are returned as plain text (type \"text/plain\").
      Parameters:
        `clusterName` - (required)
        `roleName` - The role to fetch stdout from. (required)
        `serviceName` - (required)
      Returns:
        String
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### getStandardOutputWithHttpInfo

          public ApiResponse<String> getStandardOutputWithHttpInfo(String clusterName,
                                                                   String roleName,
                                                                   String serviceName)
                                                            throws ApiException

      Retrieves the role's standard output. Retrieves the role's standard output. <p> If the role is not started, this will be the output associated with the last time the role was run. <p> Log files are returned as plain text (type \"text/plain\").
      Parameters:
        `clusterName` - (required)
        `roleName` - The role to fetch stdout from. (required)
        `serviceName` - (required)
      Returns:
        ApiResponse<String>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### getStandardOutputAsync

          public com.squareup.okhttp.Call getStandardOutputAsync(String clusterName,
                                                                 String roleName,
                                                                 String serviceName,
                                                                 ApiCallback<String> callback)
                                                          throws ApiException

      Retrieves the role's standard output. (asynchronously) Retrieves the role's standard output. <p> If the role is not started, this will be the output associated with the last time the role was run. <p> Log files are returned as plain text (type \"text/plain\").
      Parameters:
        `clusterName` - (required)
        `roleName` - The role to fetch stdout from. (required)
        `serviceName` - (required)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### impalaDiagnosticsCall

          public com.squareup.okhttp.Call impalaDiagnosticsCall(String clusterName,
                                                                String roleName,
                                                                String serviceName,
                                                                ApiImpalaRoleDiagnosticsArgs body,
                                                                ProgressResponseBody.ProgressListener progressListener,
                                                                ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                                         throws ApiException

      Build call for impalaDiagnostics
      Parameters:
        `clusterName` - (required)
        `roleName` - The role name. (required)
        `serviceName` - (required)
        `body` - (optional)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### impalaDiagnostics

          public ApiCommand impalaDiagnostics(String clusterName,
                                              String roleName,
                                              String serviceName,
                                              ApiImpalaRoleDiagnosticsArgs body)
                                       throws ApiException

      Collects diagnostics data for an Impala role. Collects diagnostics data for an Impala role. <p> Available since API v31. </p>
      Parameters:
        `clusterName` - (required)
        `roleName` - The role name. (required)
        `serviceName` - (required)
        `body` - (optional)
      Returns:
        ApiCommand
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### impalaDiagnosticsWithHttpInfo

          public ApiResponse<ApiCommand> impalaDiagnosticsWithHttpInfo(String clusterName,
                                                                       String roleName,
                                                                       String serviceName,
                                                                       ApiImpalaRoleDiagnosticsArgs body)
                                                                throws ApiException

      Collects diagnostics data for an Impala role. Collects diagnostics data for an Impala role. <p> Available since API v31. </p>
      Parameters:
        `clusterName` - (required)
        `roleName` - The role name. (required)
        `serviceName` - (required)
        `body` - (optional)
      Returns:
        ApiResponse<ApiCommand>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### impalaDiagnosticsAsync

          public com.squareup.okhttp.Call impalaDiagnosticsAsync(String clusterName,
                                                                 String roleName,
                                                                 String serviceName,
                                                                 ApiImpalaRoleDiagnosticsArgs body,
                                                                 ApiCallback<ApiCommand> callback)
                                                          throws ApiException

      Collects diagnostics data for an Impala role. (asynchronously) Collects diagnostics data for an Impala role. <p> Available since API v31. </p>
      Parameters:
        `clusterName` - (required)
        `roleName` - The role name. (required)
        `serviceName` - (required)
        `body` - (optional)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### listActiveCommandsCall

          public com.squareup.okhttp.Call listActiveCommandsCall(String clusterName,
                                                                 String roleName,
                                                                 String serviceName,
                                                                 String view,
                                                                 ProgressResponseBody.ProgressListener progressListener,
                                                                 ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                                          throws ApiException

      Build call for listActiveCommands
      Parameters:
        `clusterName` - (required)
        `roleName` - The role to start. (required)
        `serviceName` - (required)
        `view` - The view of the data to materialize, either \"summary\" or \"full\". (optional, default to summary)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### listActiveCommands

          public ApiCommandList listActiveCommands(String clusterName,
                                                   String roleName,
                                                   String serviceName,
                                                   String view)
                                            throws ApiException

      List active role commands. List active role commands.
      Parameters:
        `clusterName` - (required)
        `roleName` - The role to start. (required)
        `serviceName` - (required)
        `view` - The view of the data to materialize, either \"summary\" or \"full\". (optional, default to summary)
      Returns:
        ApiCommandList
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### listActiveCommandsWithHttpInfo

          public ApiResponse<ApiCommandList> listActiveCommandsWithHttpInfo(String clusterName,
                                                                            String roleName,
                                                                            String serviceName,
                                                                            String view)
                                                                     throws ApiException

      List active role commands. List active role commands.
      Parameters:
        `clusterName` - (required)
        `roleName` - The role to start. (required)
        `serviceName` - (required)
        `view` - The view of the data to materialize, either \"summary\" or \"full\". (optional, default to summary)
      Returns:
        ApiResponse<ApiCommandList>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### listActiveCommandsAsync

          public com.squareup.okhttp.Call listActiveCommandsAsync(String clusterName,
                                                                  String roleName,
                                                                  String serviceName,
                                                                  String view,
                                                                  ApiCallback<ApiCommandList> callback)
                                                           throws ApiException

      List active role commands. (asynchronously) List active role commands.
      Parameters:
        `clusterName` - (required)
        `roleName` - The role to start. (required)
        `serviceName` - (required)
        `view` - The view of the data to materialize, either \"summary\" or \"full\". (optional, default to summary)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### listCommandsCall

          public com.squareup.okhttp.Call listCommandsCall(String clusterName,
                                                           String roleName,
                                                           String serviceName,
                                                           ProgressResponseBody.ProgressListener progressListener,
                                                           ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                                    throws ApiException

      Build call for listCommands
      Parameters:
        `clusterName` - (required)
        `roleName` - the role name. (required)
        `serviceName` - (required)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### listCommands

          public ApiCommandMetadataList listCommands(String clusterName,
                                                     String roleName,
                                                     String serviceName)
                                              throws ApiException

      Lists all the commands that can be executed by name on the provided role. Lists all the commands that can be executed by name on the provided role.
      Parameters:
        `clusterName` - (required)
        `roleName` - the role name. (required)
        `serviceName` - (required)
      Returns:
        ApiCommandMetadataList
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### listCommandsWithHttpInfo

          public ApiResponse<ApiCommandMetadataList> listCommandsWithHttpInfo(String clusterName,
                                                                              String roleName,
                                                                              String serviceName)
                                                                       throws ApiException

      Lists all the commands that can be executed by name on the provided role. Lists all the commands that can be executed by name on the provided role.
      Parameters:
        `clusterName` - (required)
        `roleName` - the role name. (required)
        `serviceName` - (required)
      Returns:
        ApiResponse<ApiCommandMetadataList>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### listCommandsAsync

          public com.squareup.okhttp.Call listCommandsAsync(String clusterName,
                                                            String roleName,
                                                            String serviceName,
                                                            ApiCallback<ApiCommandMetadataList> callback)
                                                     throws ApiException

      Lists all the commands that can be executed by name on the provided role. (asynchronously) Lists all the commands that can be executed by name on the provided role.
      Parameters:
        `clusterName` - (required)
        `roleName` - the role name. (required)
        `serviceName` - (required)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### readRoleCall

          public com.squareup.okhttp.Call readRoleCall(String clusterName,
                                                       String roleName,
                                                       String serviceName,
                                                       String view,
                                                       ProgressResponseBody.ProgressListener progressListener,
                                                       ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                                throws ApiException

      Build call for readRole
      Parameters:
        `clusterName` - (required)
        `roleName` - The role name. (required)
        `serviceName` - (required)
        `view` - The view to materialize. Defaults to 'full'. (optional, default to full)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### readRole

          public ApiRole readRole(String clusterName,
                                  String roleName,
                                  String serviceName,
                                  String view)
                           throws ApiException

      Retrieves detailed information about a role. Retrieves detailed information about a role.
      Parameters:
        `clusterName` - (required)
        `roleName` - The role name. (required)
        `serviceName` - (required)
        `view` - The view to materialize. Defaults to 'full'. (optional, default to full)
      Returns:
        ApiRole
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### readRoleWithHttpInfo

          public ApiResponse<ApiRole> readRoleWithHttpInfo(String clusterName,
                                                           String roleName,
                                                           String serviceName,
                                                           String view)
                                                    throws ApiException

      Retrieves detailed information about a role. Retrieves detailed information about a role.
      Parameters:
        `clusterName` - (required)
        `roleName` - The role name. (required)
        `serviceName` - (required)
        `view` - The view to materialize. Defaults to 'full'. (optional, default to full)
      Returns:
        ApiResponse<ApiRole>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### readRoleAsync

          public com.squareup.okhttp.Call readRoleAsync(String clusterName,
                                                        String roleName,
                                                        String serviceName,
                                                        String view,
                                                        ApiCallback<ApiRole> callback)
                                                 throws ApiException

      Retrieves detailed information about a role. (asynchronously) Retrieves detailed information about a role.
      Parameters:
        `clusterName` - (required)
        `roleName` - The role name. (required)
        `serviceName` - (required)
        `view` - The view to materialize. Defaults to 'full'. (optional, default to full)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### readRoleConfigCall

          public com.squareup.okhttp.Call readRoleConfigCall(String clusterName,
                                                             String roleName,
                                                             String serviceName,
                                                             String view,
                                                             ProgressResponseBody.ProgressListener progressListener,
                                                             ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                                      throws ApiException

      Build call for readRoleConfig
      Parameters:
        `clusterName` - (required)
        `roleName` - The role to look up. (required)
        `serviceName` - (required)
        `view` - The view of the data to materialize, either \"summary\" or \"full\". (optional, default to summary)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### readRoleConfig

          public ApiConfigList readRoleConfig(String clusterName,
                                              String roleName,
                                              String serviceName,
                                              String view)
                                       throws ApiException

      Retrieves the configuration of a specific role. Retrieves the configuration of a specific role. Note that the \"full\" view performs validation on the configuration, which could take a few seconds on a large cluster (around 500 nodes or more).
      Parameters:
        `clusterName` - (required)
        `roleName` - The role to look up. (required)
        `serviceName` - (required)
        `view` - The view of the data to materialize, either \"summary\" or \"full\". (optional, default to summary)
      Returns:
        ApiConfigList
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### readRoleConfigWithHttpInfo

          public ApiResponse<ApiConfigList> readRoleConfigWithHttpInfo(String clusterName,
                                                                       String roleName,
                                                                       String serviceName,
                                                                       String view)
                                                                throws ApiException

      Retrieves the configuration of a specific role. Retrieves the configuration of a specific role. Note that the \"full\" view performs validation on the configuration, which could take a few seconds on a large cluster (around 500 nodes or more).
      Parameters:
        `clusterName` - (required)
        `roleName` - The role to look up. (required)
        `serviceName` - (required)
        `view` - The view of the data to materialize, either \"summary\" or \"full\". (optional, default to summary)
      Returns:
        ApiResponse<ApiConfigList>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### readRoleConfigAsync

          public com.squareup.okhttp.Call readRoleConfigAsync(String clusterName,
                                                              String roleName,
                                                              String serviceName,
                                                              String view,
                                                              ApiCallback<ApiConfigList> callback)
                                                       throws ApiException

      Retrieves the configuration of a specific role. (asynchronously) Retrieves the configuration of a specific role. Note that the \"full\" view performs validation on the configuration, which could take a few seconds on a large cluster (around 500 nodes or more).
      Parameters:
        `clusterName` - (required)
        `roleName` - The role to look up. (required)
        `serviceName` - (required)
        `view` - The view of the data to materialize, either \"summary\" or \"full\". (optional, default to summary)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### readRolesCall

          public com.squareup.okhttp.Call readRolesCall(String clusterName,
                                                        String serviceName,
                                                        String filter,
                                                        String view,
                                                        ProgressResponseBody.ProgressListener progressListener,
                                                        ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                                 throws ApiException

      Build call for readRoles
      Parameters:
        `clusterName` - (required)
        `serviceName` - (required)
        `filter` - Optional query to filter the roles by. <p> The query specifies the intersection of a list of constraints, joined together with semicolons (without spaces). For example: hostname==host1.abc.com;type==DATANODE </p> Currently supports filtering by: <ul> <li>hostname: The hostname of the host the role is running on.</li> <li>hostId: The unique identifier of the host the role is running on.</li> <li>type: The role's type.</li> </ul> (optional, default to )
        `view` - DataView for getting roles. Defaults to 'summary'. (optional, default to summary)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### readRoles

          public ApiRoleList readRoles(String clusterName,
                                       String serviceName,
                                       String filter,
                                       String view)
                                throws ApiException

      Lists all roles of a given service. Lists all roles of a given service.
      Parameters:
        `clusterName` - (required)
        `serviceName` - (required)
        `filter` - Optional query to filter the roles by. <p> The query specifies the intersection of a list of constraints, joined together with semicolons (without spaces). For example: hostname==host1.abc.com;type==DATANODE </p> Currently supports filtering by: <ul> <li>hostname: The hostname of the host the role is running on.</li> <li>hostId: The unique identifier of the host the role is running on.</li> <li>type: The role's type.</li> </ul> (optional, default to )
        `view` - DataView for getting roles. Defaults to 'summary'. (optional, default to summary)
      Returns:
        ApiRoleList
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### readRolesWithHttpInfo

          public ApiResponse<ApiRoleList> readRolesWithHttpInfo(String clusterName,
                                                                String serviceName,
                                                                String filter,
                                                                String view)
                                                         throws ApiException

      Lists all roles of a given service. Lists all roles of a given service.
      Parameters:
        `clusterName` - (required)
        `serviceName` - (required)
        `filter` - Optional query to filter the roles by. <p> The query specifies the intersection of a list of constraints, joined together with semicolons (without spaces). For example: hostname==host1.abc.com;type==DATANODE </p> Currently supports filtering by: <ul> <li>hostname: The hostname of the host the role is running on.</li> <li>hostId: The unique identifier of the host the role is running on.</li> <li>type: The role's type.</li> </ul> (optional, default to )
        `view` - DataView for getting roles. Defaults to 'summary'. (optional, default to summary)
      Returns:
        ApiResponse<ApiRoleList>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### readRolesAsync

          public com.squareup.okhttp.Call readRolesAsync(String clusterName,
                                                         String serviceName,
                                                         String filter,
                                                         String view,
                                                         ApiCallback<ApiRoleList> callback)
                                                  throws ApiException

      Lists all roles of a given service. (asynchronously) Lists all roles of a given service.
      Parameters:
        `clusterName` - (required)
        `serviceName` - (required)
        `filter` - Optional query to filter the roles by. <p> The query specifies the intersection of a list of constraints, joined together with semicolons (without spaces). For example: hostname==host1.abc.com;type==DATANODE </p> Currently supports filtering by: <ul> <li>hostname: The hostname of the host the role is running on.</li> <li>hostId: The unique identifier of the host the role is running on.</li> <li>type: The role's type.</li> </ul> (optional, default to )
        `view` - DataView for getting roles. Defaults to 'summary'. (optional, default to summary)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### readTagsCall

          public com.squareup.okhttp.Call readTagsCall(String clusterName,
                                                       String roleName,
                                                       String serviceName,
                                                       BigDecimal limit,
                                                       BigDecimal offset,
                                                       ProgressResponseBody.ProgressListener progressListener,
                                                       ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                                throws ApiException

      Build call for readTags
      Parameters:
        `clusterName` - (required)
        `roleName` - The name of the role (required)
        `serviceName` - (required)
        `limit` - Number of tags (optional, default to 10)
        `offset` - Index of the first tag to retrieve (optional, default to 0)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### readTags

          public List<ApiEntityTag> readTags(String clusterName,
                                             String roleName,
                                             String serviceName,
                                             BigDecimal limit,
                                             BigDecimal offset)
                                      throws ApiException

      Returns the tags associated with this role. Returns the tags associated with this role. Tag names beginning with the prefix _cldr_ (case insensitive) are reserved for internal use by Cloudera.
      Parameters:
        `clusterName` - (required)
        `roleName` - The name of the role (required)
        `serviceName` - (required)
        `limit` - Number of tags (optional, default to 10)
        `offset` - Index of the first tag to retrieve (optional, default to 0)
      Returns:
        List<ApiEntityTag>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### readTagsWithHttpInfo

          public ApiResponse<List<ApiEntityTag>> readTagsWithHttpInfo(String clusterName,
                                                                      String roleName,
                                                                      String serviceName,
                                                                      BigDecimal limit,
                                                                      BigDecimal offset)
                                                               throws ApiException

      Returns the tags associated with this role. Returns the tags associated with this role. Tag names beginning with the prefix _cldr_ (case insensitive) are reserved for internal use by Cloudera.
      Parameters:
        `clusterName` - (required)
        `roleName` - The name of the role (required)
        `serviceName` - (required)
        `limit` - Number of tags (optional, default to 10)
        `offset` - Index of the first tag to retrieve (optional, default to 0)
      Returns:
        ApiResponse<List<ApiEntityTag>>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### readTagsAsync

          public com.squareup.okhttp.Call readTagsAsync(String clusterName,
                                                        String roleName,
                                                        String serviceName,
                                                        BigDecimal limit,
                                                        BigDecimal offset,
                                                        ApiCallback<List<ApiEntityTag>> callback)
                                                 throws ApiException

      Returns the tags associated with this role. (asynchronously) Returns the tags associated with this role. Tag names beginning with the prefix _cldr_ (case insensitive) are reserved for internal use by Cloudera.
      Parameters:
        `clusterName` - (required)
        `roleName` - The name of the role (required)
        `serviceName` - (required)
        `limit` - Number of tags (optional, default to 10)
        `offset` - Index of the first tag to retrieve (optional, default to 0)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### updateRoleConfigCall

          public com.squareup.okhttp.Call updateRoleConfigCall(String clusterName,
                                                               String roleName,
                                                               String serviceName,
                                                               String message,
                                                               ApiConfigList body,
                                                               ProgressResponseBody.ProgressListener progressListener,
                                                               ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                                        throws ApiException

      Build call for updateRoleConfig
      Parameters:
        `clusterName` - (required)
        `roleName` - The role to modify. (required)
        `serviceName` - (required)
        `message` - Optional message describing the changes. (optional)
        `body` - Configuration changes. (optional)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### updateRoleConfig

          public ApiConfigList updateRoleConfig(String clusterName,
                                                String roleName,
                                                String serviceName,
                                                String message,
                                                ApiConfigList body)
                                         throws ApiException

      Updates the role configuration with the given values. Updates the role configuration with the given values. <p> If a value is set in the given configuration, it will be added to the role's configuration, replacing any existing entries. If a value is unset (its value is null), the existing configuration for the attribute will be erased, if any. <p> Attributes that are not listed in the input will maintain their current values in the configuration.
      Parameters:
        `clusterName` - (required)
        `roleName` - The role to modify. (required)
        `serviceName` - (required)
        `message` - Optional message describing the changes. (optional)
        `body` - Configuration changes. (optional)
      Returns:
        ApiConfigList
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### updateRoleConfigWithHttpInfo

          public ApiResponse<ApiConfigList> updateRoleConfigWithHttpInfo(String clusterName,
                                                                         String roleName,
                                                                         String serviceName,
                                                                         String message,
                                                                         ApiConfigList body)
                                                                  throws ApiException

      Updates the role configuration with the given values. Updates the role configuration with the given values. <p> If a value is set in the given configuration, it will be added to the role's configuration, replacing any existing entries. If a value is unset (its value is null), the existing configuration for the attribute will be erased, if any. <p> Attributes that are not listed in the input will maintain their current values in the configuration.
      Parameters:
        `clusterName` - (required)
        `roleName` - The role to modify. (required)
        `serviceName` - (required)
        `message` - Optional message describing the changes. (optional)
        `body` - Configuration changes. (optional)
      Returns:
        ApiResponse<ApiConfigList>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### updateRoleConfigAsync

          public com.squareup.okhttp.Call updateRoleConfigAsync(String clusterName,
                                                                String roleName,
                                                                String serviceName,
                                                                String message,
                                                                ApiConfigList body,
                                                                ApiCallback<ApiConfigList> callback)
                                                         throws ApiException

      Updates the role configuration with the given values. (asynchronously) Updates the role configuration with the given values. <p> If a value is set in the given configuration, it will be added to the role's configuration, replacing any existing entries. If a value is unset (its value is null), the existing configuration for the attribute will be erased, if any. <p> Attributes that are not listed in the input will maintain their current values in the configuration.
      Parameters:
        `clusterName` - (required)
        `roleName` - The role to modify. (required)
        `serviceName` - (required)
        `message` - Optional message describing the changes. (optional)
        `body` - Configuration changes. (optional)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

Copyright © 2022. All rights reserved.